Bug 481236 - CentOS and Fedora kickstarts don't re-register to Spacewalk
CentOS and Fedora kickstarts don't re-register to Spacewalk
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Red Hat Satellite QA List
:
Depends On:
Blocks: space05 swcobbler05
  Show dependency treegraph
 
Reported: 2009-01-22 17:50 EST by Mike McCune
Modified: 2012-03-06 04:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:09:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2009-01-22 17:50:17 EST
the %post we generate in a CentOS 5 kickstart profile fails miserably at an attempt to get the box re-registered.

/tmp/ks-script-NFt51u: line 100: /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT: No such file or directory
--17:52:48--  http://spacewalk.example.com/download/package/b6353d3a8227c54ca3f9e4eb7bdecba5551c6e6d/1232615373890/1/614/libxml2-python-2.6.26
-2.1.2.1.i386.rpm
Resolving spacewalk.example.com... 172.20.55.251
Connecting to spacewalk.example.com|172.20.55.251|:80... connected.
HTTP request sent, awaiting response... 401 Authorization Required
Authorization failed.
--17:52:49--  http://spacewalk.example.com/download/package/a2ad7bce16c2b0ca0fc25c9541f95e044c9528e8/1232615373792/1/2117/pyOpenSSL-0.6-1.p24.
7.2.2.i386.rpm
Reusing existing connection to spacewalk.example.com:80.
HTTP request sent, awaiting response... 200 No headers, assuming HTTP/0.9
Length: unspecified
Saving to: `/tmp/rhn_rpms/optional/pyOpenSSL-0.6-1.p24.7.2.2.i386.rpm'

     0K ...                                                     222K=0.02s

17:53:04 (222 KB/s) - `/tmp/rhn_rpms/optional/pyOpenSSL-0.6-1.p24.7.2.2.i386.rpm' saved [3650]

--17:53:04--  http://spacewalk.example.com/download/package/49bd0be1bda9e9953d18fd4a25d80e724fafd50f/1232615373846/1/2862/rhnlib-2.2.5-1.el5.n
oarch.rpm
Connecting to spacewalk.example.com|172.20.55.251|:80... connected.
HTTP request sent, awaiting response... 401 Authorization Required
Authorization failed.
FINISHED --17:53:05--
Downloaded: 1 files, 3.6K in 0.02s (222 KB/s)
error: File not found by glob: /tmp/rhn_rpms/optional/rhnlib*
error: File not found by glob: /tmp/rhn_rpms/optional/libxml2-python*
/tmp/rhn_rpms/optional/pyOpenSSL-0.6-1.p24.7.2.2.i386.rpm: not an rpm package (or package manifest):
Can't open /etc/sysconfig/rhn/up2date: No such file or directory.
cp: cannot stat `/tmp/ks-tree-copy/*': No such file or directory
--17:53:05--  http://spacewalk.example.com/pub/RHN-ORG-TRUSTED-SSL-CERT
Resolving spacewalk.example.com... 172.20.55.251
Connecting to spacewalk.example.com|172.20.55.251|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 5220 (5.1K) [text/plain]
Saving to: `/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT'

     0K .....                                                 100%  220M=0s

17:53:05 (220 MB/s) - `/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT' saved [5220/5220]

/tmp/ks-script-NFt51u: line 120: rhnreg_ks: command not found
/tmp/ks-script-NFt51u: line 125: rhn_check: command not found
Comment 1 Michael DeHaan 2009-02-26 11:39:18 EST
You have to add "repo" lines to your kickstart to make this work.
Comment 2 Justin Sherrill 2009-03-10 09:17:20 EDT
Was a problem with the apache configuration, a virtual host wasn't configured to inherit rewrites, so package downloads would only work for https.



commit	95af15d3f25fd0762b39be584a242f73bb7c0af0
tree	664568d34d42fad26df72ffb438e582fc20ff86a	tree | snapshot
parent	6007eb76a3f3ddf5021f9259b7fa6c47d0e3812b	commit | diff
Comment 3 Jesus M. Rodriguez 2009-04-14 10:12:31 EDT
Spacewalk 0.5 released.
Comment 4 Matteo 2009-06-13 18:44:05 EDT
I recently installed Spacewalk 0.5.4 and I had a similar issue.
The autogenerated kickstart is wrong: rhnlib is in /tmp/rhn_rpms/ and not in /tmp/rhn_rpms/optional/

< rpm -Uvh --replacepkgs --replacefiles /tmp/rhn_rpms/optional/pyOpenSSL* /tmp/rhn_rpms/optional/rhnlib* /tmp/rhn_rpms/optional/libxml2-python*
---
> rpm -Uvh --replacepkgs --replacefiles /tmp/rhn_rpms/optional/pyOpenSSL* /tmp/rhn_rpms/optional/libxml2-python*
Comment 5 Miroslav Suchý 2009-09-17 03:09:38 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.